//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TANALYSIS_H
#define TANALYSIS_H

#include "TGo4Analysis.h"

class TFile;
class TGo4MbsEvent;
class TXXXParam;
class TXXXControl;

class TXXXAnalysis : public TGo4Analysis {
   public:
      TXXXAnalysis();
      TXXXAnalysis(const char* input, Int_t type, Int_t port, const char* out, Bool_t enable);
      virtual ~TXXXAnalysis() ;
      virtual Int_t UserPreLoop();
      virtual Int_t UserEventFunc();
      virtual Int_t UserPostLoop();
   private:
      TFile        *fUserFile;
      TGo4MbsEvent *fMbsEvent;
      TXXXParam     *fPar;
      TXXXControl   *fCtl;
      Int_t         fEvents;
      Int_t         fLastEvent;

   ClassDef(TXXXAnalysis,1)
};
#endif //TANALYSIS_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
