//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TEVENT_H
#define TEVENT_H

#include "TGo4EventElement.h"

class TXXXEvent : public TGo4EventElement {
   public:
      TXXXEvent();
      TXXXEvent(const char* name);
      virtual ~TXXXEvent();

      /** Method called by the framework to clear the event element. */
      void Clear(Option_t *t="");

      Float_t fCrate1[8];
      Float_t fCrate2[8];

   ClassDef(TXXXEvent,1)
};
#endif //TEVENT_H




//----------------------------END OF GO4 SOURCE FILE ---------------------
