//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#include "TXXXUnpackFact.h"

#include "TXXXUnpackEvent.h"
#include "TXXXUnpackProc.h"

//***********************************************************
TXXXUnpackFact::TXXXUnpackFact()
: TGo4EventServerFactory()
{
}
//***********************************************************
TXXXUnpackFact::TXXXUnpackFact(const char* name)
: TGo4EventServerFactory(name)
{
}
//***********************************************************
TXXXUnpackFact::~TXXXUnpackFact()
{
}
//***********************************************************

//-----------------------------------------------------------
TGo4EventProcessor * TXXXUnpackFact::CreateEventProcessor(TGo4EventProcessorParameter* par)
{
   TXXXUnpackProc* proc = new TXXXUnpackProc("XXXUnpackProc");
   return proc;
}

//-----------------------------------------------------------
TGo4EventElement * TXXXUnpackFact::CreateOutputEvent()
{ // name is given in TXXXUnpackEvent
   TXXXUnpackEvent * event = new TXXXUnpackEvent();
   SetOutputEvent(event); // important for some event store implementations!!!
   return event;
}

//----------------------------END OF GO4 SOURCE FILE ---------------------
