//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TGO4COUNTERCOND_H
#define TGO4COUNTERCOND_H

#include "TGo4Condition.h"

class TGo4CounterCond : public TGo4Condition {
  public:
    TGo4CounterCond();
    TGo4CounterCond(const char* name, const char* title = "TGo4CounterCond");
    virtual ~TGo4CounterCond();

    void SetValues();
    Bool_t Test(Bool_t result);

    void PrintCondition(Bool_t full);

    Bool_t UpdateFrom(TGo4Condition * cond, Bool_t counts);

  ClassDef(TGo4CounterCond,1);
};

#endif //TGO4COUNTERCOND_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
