//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TXXXANLEVENT_H
#define TXXXANLEVENT_H

#include "TGo4EventElement.h"

class TXXXAnlProc;

class TXXXAnlEvent : public TGo4EventElement {
   public:
      TXXXAnlEvent() ;
      TXXXAnlEvent(const char* name) ;
      virtual ~TXXXAnlEvent() ;
      virtual Int_t Init();
      virtual Int_t Fill();
      virtual void  Clear(Option_t *t="");

      Float_t frData[16];
   private:
      // this object is streamed. Therefore pointers must be excluded!
      // Otherwise these objects are streamed as well
      TXXXAnlProc     * fxXXXCP;  //! Don't put this to file

   ClassDef(TXXXAnlEvent,1)
};
#endif //TXXXANLEVENT_H




//----------------------------END OF GO4 SOURCE FILE ---------------------
