//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#include "TXXXAnlFact.h"

#include "TXXXUnpackEvent.h"
#include "TXXXAnlEvent.h"
#include "TXXXAnlProc.h"

//***********************************************************
TXXXAnlFact::TXXXAnlFact()
: TGo4EventServerFactory()
{
}
//***********************************************************
TXXXAnlFact::TXXXAnlFact(const char* name)
: TGo4EventServerFactory(name)
{
}
//***********************************************************
TXXXAnlFact::~TXXXAnlFact()
{
}
//***********************************************************

TGo4EventProcessor * TXXXAnlFact::CreateEventProcessor(TGo4EventProcessorParameter* par)
{
   TXXXAnlProc*    anlproc      = new TXXXAnlProc("XXXAnlProc");
   return anlproc;
}
//-----------------------------------------------------------
TGo4EventElement * TXXXAnlFact::CreateOutputEvent()
{
   TXXXAnlEvent* anlevent = new TXXXAnlEvent("XXXAnlEvent");
   SetOutputEvent(anlevent); // important for some event store implementations!!!
   return anlevent;
}

//-----------------------------------------------------------
TGo4EventElement * TXXXAnlFact::CreateInputEvent()
{  // name is given in TXXXUnpackEvent
   TXXXUnpackEvent* event = new TXXXUnpackEvent();
   return event;
}

//----------------------------END OF GO4 SOURCE FILE ---------------------
