//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TXXXANLPROCESSOR_H
#define TXXXANLPROCESSOR_H

#include "TGo4EventProcessor.h"

class TXXXUnpackEvent;
class TXXXParameter;
class TXXXCalibPar;
class TXXXAnlEvent;

class TXXXAnlProc : public TGo4EventProcessor {
   public:
      TXXXAnlProc() ;
      TXXXAnlProc(const char * name);
      virtual ~TXXXAnlProc();

      void XXXEventAnalysis(TXXXAnlEvent* target);

      TH1I             *fSum1;
      TH1I             *fSum2;
      TH1I             *fSum3;
      TH1I             *fCaliSum1;
      TGraph           *fCaligraph;

      TGraph           *fxGraph1;
      TGraph           *fxGraph2;
      TMultiGraph      *fxMultiGraph;

      TXXXUnpackEvent  *fInput;
      TXXXParameter    *fParam1;
      TXXXParameter    *fParam2;
      TXXXCalibPar     *fCalipar;
      TGo4WinCond      *fWinCon;

   ClassDef(TXXXAnlProc,1)
};
#endif //TXXXANLPROCESSOR_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
