//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef SPAR_H
#define SPAR_H

#define __ARRAYSIZE__ 5

#include "TGo4Parameter.h"

class TGo4Fitter;

class TYYYParameter : public TGo4Parameter {
   public:
      TYYYParameter();
      TYYYParameter(const char* name);
      virtual ~TYYYParameter();
      virtual Int_t PrintParameter(Text_t * n, Int_t);
      virtual Bool_t UpdateFrom(TGo4Parameter *);

      Float_t frP1;
      Float_t frP2;
      Int_t fiDataArray[__ARRAYSIZE__];
      TGo4Fitter* fxFitArray[__ARRAYSIZE__];

   ClassDef(TYYYParameter,1)
};

#endif //SPAR_H






//----------------------------END OF GO4 SOURCE FILE ---------------------
