//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TYYYUNPACKFACTORY_H
#define TYYYUNPACKFACTORY_H

#include "TGo4EventServerFactory.h"

class TYYYUnpackFact : public TGo4EventServerFactory {
   public:
      TYYYUnpackFact() ;
      TYYYUnpackFact(const char* name);
      virtual ~TYYYUnpackFact() ;

      virtual TGo4EventElement   * CreateInputEvent();
      virtual TGo4EventElement   * CreateOutputEvent();
      virtual TGo4EventProcessor * CreateEventProcessor(TGo4EventProcessorParameter* par);
      virtual TGo4EventSource* CreateEventSource(TGo4EventSourceParameter* par);

   ClassDef(TYYYUnpackFact,1)
};
#endif //TYYYUNPACKFACTORY_H




//----------------------------END OF GO4 SOURCE FILE ---------------------
