#! /bin/bash

# Script to create a shared library.
# Called by Makefile.

LD=$1
RM=$2
MV=$3
LN=$4
LDFLAGS=$5
SOFLAGS=$6
SOSUFFIX=$7
VESUFFIX=$8

LIBNAME=$9
LIBOBJS=${10}
LIBDIR=${11}

if [ "x$LIBDIR" != "x" ]; then
   $RM $LIBDIR/$LIBNAME.$SOSUFFIX.$VESUFFIX
else
   $RM $LIBNAME.$SOSUFFIX.$VESUFFIX
fi

echo $LD $SOFLAGS$LIBNAME.$SOSUFFIX.$VESUFFIX $LDFLAGS $LIBOBJS -o $LIBNAME.$SOSUFFIX.$VESUFFIX

$LD $SOFLAGS$LIBNAME.$SOSUFFIX.$VESUFFIX $LDFLAGS $LIBOBJS \
         -o $LIBNAME.$SOSUFFIX.$VESUFFIX

$LN $LIBNAME.$SOSUFFIX.$VESUFFIX $LIBNAME.$SOSUFFIX

if [ "x$LIBDIR" != "x" ]; then
   if [ "x$LIBDIR" != "x." ]; then
      if [ "$LIBDIR" != `pwd` ]; then
         $MV $LIBNAME.$SOSUFFIX.$VESUFFIX $LIBDIR
         $MV $LIBNAME.$SOSUFFIX $LIBDIR
      fi
   fi
fi

echo $LIBNAME.$SOSUFFIX 'done'

exit 0

