//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TGO4MEMBERSTATUS_H
#define TGO4MEMBERSTATUS_H

#include "TGo4ObjectStatus.h"

class TGo4MemberStatus : public TGo4ObjectStatus {
   public:
      TGo4MemberStatus();

      /**
       * Create status information about event datamemeber.
       * For reconstruction of eventstructure for display in remote browser.
       */
      TGo4MemberStatus(const char* name, const char* datatypename);

      virtual ~TGo4MemberStatus();

      virtual Int_t PrintStatus(Text_t* buffer=0, Int_t buflen=0);


   ClassDef(TGo4MemberStatus,1)
};

#endif //TGO4MEMBERSTATUS_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
