//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TGO4REVSERVPARAMETER_H
#define TGO4REVSERVPARAMETER_H

#include "TGo4EventSourceParameter.h"

class TGo4RevServParameter : public TGo4EventSourceParameter {
  public:
    TGo4RevServParameter();

    TGo4RevServParameter(const char* name);

    virtual ~TGo4RevServParameter() ;

    void SetPort(Int_t port) { fiPort=port; }

    Int_t GetPort() const { return fiPort; }

    virtual Int_t PrintParameter(Text_t* buffer=0, Int_t buflen=0);

  private:

    /** Port number .  */
    Int_t fiPort;

  ClassDef(TGo4RevServParameter,2)
};

#endif //TGO4REVSERVPARAMETER_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
