//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TGO4SOCKETSIGNALHANDLER_H
#define TGO4SOCKETSIGNALHANDLER_H

#include "Rtypes.h"

#ifdef WIN32
#define SIGWINCH 28
#else
#include <signal.h>
#endif


class TGo4SocketSignalHandler {
   public:

      TGo4SocketSignalHandler(Int_t signum, Bool_t enabled=kTRUE);

      virtual ~TGo4SocketSignalHandler();

      static void SetSignalAction(Int_t signum, Bool_t enabled=kTRUE);

      static void Handle(Int_t signum);

      static Int_t GetLastSignal();

      static void SetLastSignal(Int_t v = 0);

   private:
      TGo4SocketSignalHandler();

      static Int_t fgiLastSignal; //! contains last signal handler result
};

#endif //TGO4SOCKETSIGNALHANDLER_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
