//---------------------------------------------------------------
//        Go4 Release Package v3.03-01a (build 30301a)
//                      10-July-2007
//---------------------------------------------------------------
//   The GSI Online Offline Object Oriented (Go4) Project
//   Experiment Data Processing at EE department, GSI
//---------------------------------------------------------------
//
//Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI
//                    Planckstr. 1, 64291 Darmstadt, Germany
//Contact:            http://go4.gsi.de
//----------------------------------------------------------------
//This software can be used under the license agreements as stated
//in Go4License.txt file which is part of the distribution.
//----------------------------------------------------------------
#ifndef TUNPACKFACTORY_H
#define TUNPACKFACTORY_H

#include "TGo4EventServerFactory.h"

class TGo4StepFactory : public TGo4EventServerFactory {
  public:
      TGo4StepFactory();
      TGo4StepFactory(const char* name);
      virtual ~TGo4StepFactory();
      virtual  TGo4EventElement* CreateInputEvent();
      virtual  TGo4EventElement* CreateOutputEvent();
      virtual  TGo4EventProcessor* CreateEventProcessor(TGo4EventProcessorParameter* par);
      void     DefEventProcessor(const char* Pname, const char* Pclass);
      void     DefInputEvent(const char* Iname, const char* Iclass);
      void     DefOutputEvent(const char* Oname, const char* Oclass);
  private:
      TString fnewProcessor;
      TString fProcessorName;
//      TString fProcessorClass;
      TString fnewOutputEvent;
      TString fOutputEventName;
//      TString fOutputEventClass;
      TString fnewInputEvent;
      TString fInputEventName;
//      TString fInputEventClass;

  ClassDef(TGo4StepFactory,1)
};

#endif //TUNPACKFACTORY_H

//----------------------------END OF GO4 SOURCE FILE ---------------------
